<script lang="ts">
  import OrgText from "./txt/Org.txt.svelte";
  import LabsText from "./txt/Labs.txt.svelte";
  import DesignText from "./txt/Design.txt.svelte";
  import DevText from "./txt/Dev.txt.svelte";
  import SpaceText from "./txt/Space.txt.svelte";
  import { EArea } from "../../enums/EArea";
  import type { ComponentType } from "svelte";
  import Dot from "../Dot.svg.svelte";

  export let area: EArea,
    align = "left",
    classes: string = "";

  let name: string, tag: string, TextComponent: ComponentType;

  switch (area) {
    case EArea.ORG:
      name = "КОМПАНИЯ";
      tag = "ORG";
      TextComponent = OrgText;
      break;

    case EArea.LABS:
      name = "ИССЛЕДОВАНИЯ";
      tag = "LABS";
      TextComponent = LabsText;
      break;

    case EArea.DEV:
      name = "РАЗРАБОТКА";
      tag = "DEV";
      TextComponent = DevText;
      break;

    case EArea.DESIGN:
      name = "ДИЗАЙН";
      tag = "DESIGN";
      TextComponent = DesignText;
      break;

    case EArea.SPACE:
      name = "СООБЩЕСТВО";
      tag = "SPACE";
      TextComponent = SpaceText;
      break;
  }
</script>

<article class="{classes} gap-12 sm:gap-14 lg:gap-16 grid lg:grid-cols-2">
  {#if align === "left"}
    <p
      class="m-auto text-sm sm:text-base lg:text-lg xl:text-xl 2xl:text-2xl text-justify order-last lg:order-none"
    >
      <svelte:component this={TextComponent} />
    </p>
  {/if}
  <section
    class="flex flex-col justify-center gap-3 sm:gap-4 lg:gap-5 xl:gap-6 2xl:gap-7"
  >
    <header class="space-y-2">
      <h2
        class="text-4xl sm:text-5xl lg:text-6xl xl:text-7xl 2xl:text-8xl flex items-baseline gap-2 leading-[.75]"
      >
        {tag}<Dot classes="xl:w-3 xl:h-3 2xl:w-4 2xl:h-4" {area} />
      </h2>
      <p
        class="text-3xl sm:text-4xl lg:text-5xl xl:text-6xl 2xl:text-7xl text-neutral-700"
      >
        {name}
      </p>
    </header>
  </section>
  {#if align === "right"}
    <p
      class="m-auto text-sm sm:text-base lg:text-lg xl:text-xl 2xl:text-2xl text-justify text-neutral-900 dark:text-neutral-100"
    >
      <svelte:component this={TextComponent} />
    </p>
  {/if}
</article>
